List all conversion runs (super admin only)
GET
/admin/runs
const url = 'https://example.com/api/admin/runs?page=1&status=all';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/admin/runs?page=1&status=all' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” page
integer
status
string
Responses
Section titled “ Responses ”Paginated admin run list
Media type application/json
object
runs
required
Array<object>
object
id
required
string format: uuid
projectId
required
string format: uuid
sourceRepo
string
targetRepo
string | null
status
required
string
converterVersion
string | null
llmAssist
boolean
errorMessage
string | null
startedAt
string | null format: date-time
completedAt
string | null format: date-time
createdAt
required
string format: date-time
confidenceScore
number | null
routeCount
integer | null
ssrBlockerCount
integer | null
reportJson
object | null
logs
string | null
outputDestination
string | null
repoUrl
string | null
prUrl
string | null
page
required
integer
pageSize
required
integer
total
required
integer
Not authenticated
Media type application/json
object
error
required
Human-readable error message
string
code
Stable machine-readable error code for client branching
string
fieldErrors
First validation message per field path
object
key
additional properties
string
issues
Structured validation issues (Zod)
Array<object>
object
path
required
string
message
required
string
retryAfter
Seconds until rate limit resets (429 responses)
number
reconnect
True if re-linking GitHub may fix the issue
boolean
Forbidden
Media type application/json
object
error
required
Human-readable error message
string
code
Stable machine-readable error code for client branching
string
fieldErrors
First validation message per field path
object
key
additional properties
string
issues
Structured validation issues (Zod)
Array<object>
object
path
required
string
message
required
string
retryAfter
Seconds until rate limit resets (429 responses)
number